#Uggh Worldspawn?
tellraw @a[x=49,y=1,z=81,distance=..5] {"text":"Sorry for the inconvenience... our dungeon mechanisms aren't complete yet."}
tp @a[x=49,y=1,z=81,distance=..5] 18 2 56

execute as @e[type=villager,tag=!Shopkeep,name=!Marc] run data merge entity @s {Attributes:[{Base:0,Name:"generic.followRange"}],Brain:{memories:{}},VillagerData:{profession:"minecraft:empty"},Offers:{Recipes:[]}}
tp @e[type=evoker,x=19,y=2,z=44,distance=..2,team=!NPC] ~ ~-200 ~
tp @e[type=witch,x=23,y=2,z=48,distance=..2,team=!NPC] ~ ~-200 ~
tp @e[type=creeper,x=8,y=2,z=46,distance=..2,team=!NPC] ~ ~-200 ~
tp @e[type=skeleton,x=24,y=2,z=56,distance=..2,team=!NPC] ~ ~-200 ~
tp @e[type=blaze,x=10,y=2,z=60,distance=..2,team=!NPC] ~ ~-200 ~
tp @e[type=illusioner,x=18,y=2,z=62,distance=..2,team=!NPC] ~ ~-200 ~

scoreboard players add @e[type=vex] Time 1
kill @e[type=vex,scores={Time=100..}]
execute as @e[type=vex,tag=!HealthDown] run data merge entity @s {Health:1,Tags:["HealthDown"]}

#Clear Dia Hoes
execute at @e[type=armor_stand,name=RoomSet,tag=Yellow] if entity @a[distance=..5] unless block ~ ~ ~ yellow_shulker_box{Items:[{Count:1b,id:"minecraft:diamond_hoe",Slot:0b}]} run data merge block ~ ~ ~ {Items:[{Count:1,id:"diamond_hoe",Slot:0b,tag:{Unbreakable:1,Damage:1}}]}
execute at @e[type=armor_stand,name=RoomSet,tag=White] if entity @a[distance=..5] unless block ~ ~ ~ white_shulker_box{Items:[{Count:1b,id:"minecraft:diamond_hoe",Slot:0b}]} run data merge block ~ ~ ~ {Items:[{Count:1,id:"diamond_hoe",Slot:0b,tag:{Unbreakable:1,Damage:2}}]}
execute at @e[type=armor_stand,name=RoomSet,tag=Blue] if entity @a[distance=..5] unless block ~ ~ ~ light_blue_shulker_box{Items:[{Count:1b,id:"minecraft:diamond_hoe",Slot:0b}]} run data merge block ~ ~ ~ {Items:[{Count:1,id:"diamond_hoe",Slot:0b,tag:{Unbreakable:1,Damage:3}}]}
execute at @e[type=armor_stand,name=RoomSet,tag=Red] if entity @a[distance=..5] unless block ~ ~ ~ red_shulker_box{Items:[{Count:1b,id:"minecraft:diamond_hoe",Slot:0b}]} run data merge block ~ ~ ~ {Items:[{Count:1,id:"diamond_hoe",Slot:0b,tag:{Unbreakable:1,Damage:4}}]}
execute as @a[tag=Playing] at @s unless entity @e[type=armor_stand,tag=White,distance=..4] unless entity @e[type=armor_stand,tag=Red,distance=..4] unless entity @e[type=armor_stand,tag=Blue,distance=..4] unless entity @e[type=armor_stand,tag=Yellow,distance=..4] run clear @s diamond_hoe

#Manage special entities
execute at @e[type=tnt,nbt={Fuse:2s}] run summon creeper ~ ~ ~ {Fuse:0s}
execute as @e[type=tnt,nbt={Fuse:2s}] run effect give @e[type=phantom] resistance 1 5 true
execute as @e[type=tnt,nbt={Fuse:2s}] run effect give @e[name="Ruby Lord"] resistance 1 5 true
execute as @e[type=tnt,nbt={Fuse:2s}] run kill @s
execute at @e[type=snowball] run effect give @e[type=!player,distance=..3] wither 3 1
execute as @e[type=snowball] at @s if entity @e[team=Enemy,distance=..3] run kill @s
execute as @e[type=snowball] at @s if entity @e[team=Boss,distance=..3] run kill @s
execute at @e[type=egg] run effect give @e[type=!player,distance=..3,tag=!Undead] instant_damage 1 0
execute at @e[type=egg] run effect give @e[type=!player,distance=..3,tag=Undead] instant_health 1 0
execute as @e[type=egg] at @s if entity @e[team=Enemy,distance=..3] run kill @s
execute as @e[type=egg] at @s if entity @e[team=Boss,distance=..3] run kill @s
tp @e[type=chicken,team=!Enemy] ~ -200 ~

#Handle New Enemies
execute as @e[tag=!TierUp,team=Enemy] run function system:lag/newenemy
execute at @a[tag=ClassM,tag=Playing] run fill ~ ~-1 ~ ~ ~-1 ~ pink_terracotta replace magma_block

#Manage Advancements
scoreboard players remove @a[tag=!ClassW,scores={AdvSpawnbreak2=1..}] AdvSpawnbreak 1
scoreboard players set @a[tag=!ClassW,scores={AdvSpawnbreak2=1..}] AdvSpawnbreak2 0
advancement grant @a[scores={AdvSpawnbreak=100}] only classes:adv1
advancement grant @a[scores={Power=12..}] only fails:adv1
advancement grant @a[scores={AdvCraft=1..}] only fails:adv2
advancement grant @a[scores={Heat=1400}] only fails:adv3
tag @a[tag=ClassW,tag=Playing,nbt={Inventory:[{Slot:102b,id:"minecraft:golden_chestplate",Count:1b}]}] add AdvPlate

#Cancel classes while playing
execute if entity @a[tag=Playing] run function system:lag/nonewclasses
execute unless entity @a[tag=Playing] run fill 10 2 35 10 2 35 heavy_weighted_pressure_plate replace air
execute unless entity @a[tag=Playing] run fill 8 2 31 8 2 31 heavy_weighted_pressure_plate replace air
execute unless entity @a[tag=Playing] run fill 10 2 27 10 2 27 heavy_weighted_pressure_plate replace air
execute unless entity @a[tag=Playing] run fill 18 2 27 18 2 27 heavy_weighted_pressure_plate replace air
execute unless entity @a[tag=Playing] run fill 20 2 31 20 2 31 heavy_weighted_pressure_plate replace air
execute unless entity @a[tag=Playing] run fill 18 2 35 18 2 35 heavy_weighted_pressure_plate replace air
execute unless entity @a[tag=Playing] if entity @e[tag=Cell7Complete] run fill 14 2 25 14 2 25 heavy_weighted_pressure_plate replace air

#Skip bosses
execute as @a[tag=Light,nbt={SelectedItem:{id:"minecraft:paper"}}] run function system:recipes
execute as @a[tag=Light,nbt={Inventory:[{id:"minecraft:dandelion_yellow"}]}] run tag @a add Boss1Skip
execute as @a[tag=Light,nbt={Inventory:[{id:"minecraft:orange_dye"}]}] run tag @a add Boss2Skip
execute as @a[tag=Light,nbt={Inventory:[{id:"minecraft:nether_wart"}]}] run tag @a add Boss3Skip
execute as @a[tag=Light,nbt={Inventory:[{id:"minecraft:ink_sac"}]}] run tag @a add Boss4Skip

#Carry items
execute as @a store result score @s Power run clear @s #minecraft:all 0
scoreboard players remove @a[scores={Carry=1}] Power 2
scoreboard players remove @a[scores={Carry=2}] Power 4
scoreboard players remove @a[scores={Carry=3}] Power 7
scoreboard players remove @a[nbt={Inventory:[{id:"minecraft:shulker_shell"}]}] Power 1
scoreboard players remove @a[nbt={Inventory:[{id:"minecraft:heart_of_the_sea"}]}] Power 3
execute as @a run scoreboard players operation @s Power -= @s PowerUp
effect give @a[scores={Power=10..}] slowness 2 3 true
effect give @a[scores={Power=10..}] jump_boost 2 200 true
title @a[scores={Power=10..}] actionbar {"text":"You're carrying too many glowing items!","color":"red"}

#Fire/Ice Rooms
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~-1 ~ packed_ice run particle cloud ~ ~ ~ 1 1 1 0.01 10 force @a
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~-1 ~ packed_ice as @a[distance=..3,tag=!IceWand] unless entity @s[nbt={Inventory:[{id:"minecraft:prismarine_crystals"}]}] run effect give @s instant_damage 1 0
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~-1 ~ packed_ice run title @a[distance=..3] actionbar {"text":"WARNING! You are undercooling!!!","color":"dark_blue"}
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~-1 ~ red_wool run particle flame ~ ~ ~ 1.5 1.5 1.5 0.01 10 force @a
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~-1 ~ red_wool as @a[distance=..3,tag=!FireWand] unless entity @s[nbt={Inventory:[{id:"minecraft:fire_charge"}]}] run effect give @s instant_damage 1 0
execute at @e[type=armor_stand,name=RoomSet] if block ~ ~-1 ~ red_wool run title @a[distance=..3] actionbar {"text":"WARNING! You are overheating!!!","color":"dark_red"}

scoreboard players add @a[tag=FireWand] FireWand 1
tag @a[scores={FireWand=600..}] remove FireWand
scoreboard players set @a[scores={FireWand=600..}] FireWand 0
scoreboard players add @a[tag=IceWand] IceWand 1
tag @a[scores={IceWand=600..}] remove IceWand
scoreboard players set @a[scores={IceWand=600..}] IceWand 0

execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:kelp",tag:{CustomModelData:1}}]}] run effect give @s resistance 2 0 true
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:kelp",tag:{CustomModelData:2}}]}] run effect give @s resistance 2 1 true
execute as @a[nbt={Inventory:[{Slot:-106b,id:"minecraft:kelp",tag:{CustomModelData:3}}]}] run effect give @s resistance 2 2 true

execute as @e[name=SpaceScroll] at @s unless entity @a[distance=..8] run setblock ~ ~ ~ air
execute as @e[name=SpaceScroll] at @s unless entity @a[distance=..8] run particle dragon_breath ~ ~ ~ 0 0 0 0.1 50 force
execute as @e[name=SpaceScroll] at @s unless entity @a[distance=..8] run kill @s

#EFFECTS
execute as @a[scores={TimeTime=-1}] at @s if block ~ ~-1 ~ purple_concrete run effect give @s hunger 2 1
execute as @a[scores={TimeTime=-1}] at @s if block ~ ~-1 ~ gray_concrete run effect give @s blindness 2 1
execute as @a[scores={TimeTime=-1}] at @s if block ~ ~-1 ~ red_concrete run effect give @s weakness 2 9
execute as @a[scores={TimeTime=-1}] at @s if block ~ ~-1 ~ orange_concrete run effect give @s slowness 2 3
execute as @a[scores={TimeTime=-1}] at @s if block ~ ~-1 ~ lime_concrete run effect give @s poison 2 1

execute at @e[type=cave_spider] run effect give @a[distance=..1,scores={TimeTime=-1}] slowness 2 1
effect give @e[type=phantom] fire_resistance 10 0 true
effect give @e[type=husk] fire_resistance 10 0 true
execute at @e[type=trident,nbt={Trident:{tag:{Enchantments:[{id:"sharpness",lvl:5}]}}}] run particle flame ~ ~ ~ 0 0 0 0.01 3 force

execute at @a[tag=TRAIL] run particle dragon_breath ~ ~ ~ 0 0 0 0.01 2 force
effect clear @a[nbt={ActiveEffects:[{Id:19b,Duration:800}]}] poison
effect clear @a[nbt={ActiveEffects:[{Id:18b,Duration:800}]}] weakness

effect give @e[type=villager,name=!Marc,name=!Trader] invisibility 10 0 true
effect give @e[type=villager] slowness 10 100 true

execute at @e[type=villager] as @a[distance=..4,nbt={Inventory:[{Slot:-106b,tag:{Scroll:1b}}]}] run tellraw @s {"text":"Don't use magic near NPC's!","color":"red"}
execute at @e[type=villager] as @a[distance=..4,nbt={Inventory:[{Slot:-106b,tag:{Scroll:1b}}]}] run replaceitem entity @s weapon.offhand air
execute at @e[type=villager] as @a[distance=..4,scores={Wand=1..}] run tellraw @s {"text":"Don't use magic near NPC's!","color":"red"}
execute at @e[type=villager] as @a[distance=..4,scores={Wand=1..}] run scoreboard players set @s Wand 0

execute at @e[team=Enemy,nbt={ActiveEffects:[{Id:2b,Amplifier:6b}]}] run particle block seagrass ~ ~ ~ 0.2 0 0.2 0.1 1 force
execute at @e[tag=Blinded] run particle smoke ~ ~1.5 ~ 0.2 0.2 0.2 0.01 10 force @a[tag=PARTICLE]
execute at @e[type=item,nbt={Item:{tag:{Reward:1b}}}] run particle cloud ~ ~ ~ 0 0 0 0.01 1 force
execute at @e[type=skeleton,name=Ghoul] run particle smoke ~ ~0.5 ~ 0.2 0.4 0.2 0.01 10 force @a[tag=PARTICLE]
execute at @e[type=skeleton,name=Morro] run particle smoke ~ ~0.5 ~ 0.2 0.4 0.2 0.01 10 force @a[tag=PARTICLE]
execute at @e[type=skeleton,name=Morro] run particle smoke ~ ~0.5 ~ 0.2 0.4 0.2 0.01 10 force @a[tag=PARTICLE]
execute at @e[type=stray,tag=!LobbyKeep] run particle flame ~ ~1 ~ 0.3 0.5 0.3 0.01 10 force

effect give @a[scores={Pearl=1..}] resistance 2 5 true
scoreboard players set @a Pearl 0

execute at @e[type=armor_stand,name=Lightning] run particle angry_villager ~ ~ ~ 1 1 1 0.1 3 force
execute at @e[type=armor_stand,name=Lightning] run effect give @e[distance=..3] wither 1 1 true
scoreboard players add @e[type=armor_stand,name=Lightning] Time 1
kill @e[type=armor_stand,name=Lightning,scores={Time=150..}]

execute at @a[tag=ClassBlaze,scores={Health=..10}] run particle dust 1 0 0 1 ~ ~1 ~ 0.5 0.5 0.5 0.1 2 force
effect give @a[tag=ClassBlaze,scores={Health=..10}] speed 1 0
effect give @a[tag=ClassBlaze,scores={Health=..10}] strength 1 0
execute at @a[tag=ClassBlaze,scores={Health=..5}] run particle dust 1 0 0 1 ~ ~1 ~ 0.5 0.5 0.5 0.1 2 force
effect give @a[tag=ClassBlaze,scores={Health=..5}] speed 1 1
effect give @a[tag=ClassBlaze,scores={Health=..5}] strength 1 2
effect give @a[tag=ClassW] haste 1 1 true
effect give @a[tag=ClassM] slow_falling 1 0 true
effect give @a[tag=ClassBlaze] fire_resistance 1 4 true
effect give @a[tag=ClassSpirit] night_vision 1 0 true
effect give @a[tag=ClassEvoker] luck 1 0 true

execute if block 14 2 71 gold_block run scoreboard players add @a DLC1Time 1
execute as @a[scores={DLC1Time=1..10000}] run function system:lobby/dlc1

#FUNCTIONS
execute if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:lag/darkest
execute if entity @e[type=armor_stand,name=OptionsReal,scores={Mode=2}] run function system:lag/extrememode

execute if entity @e[type=armor_stand,name=Options,tag=Timer] if entity @a[tag=Alive] run function system:timer

execute if entity @a[x=15,y=6,z=-59,distance=..6,scores={Open=1..}] run tag @a[x=15,y=6,z=-59,distance=..6] add END
tag @a[x=-57,y=12,z=113,distance=..6,scores={Open=1..}] add RushEnd
execute if entity @a[tag=END] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:end
execute if entity @a[tag=END] if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:end2
execute if entity @a[tag=Boss1Skip,tag=Boss2Skip,tag=Boss3Skip,tag=Boss4Skip,tag=Playing,x=-9,y=133,z=-32,distance=..8] run function system:endwin

execute if entity @a[tag=Alive] run function system:monster
execute if entity @a[tag=Alive] run function system:extra
function system:item
function system:fire
execute as @e[type=item,nbt=!{Item:{id:"minecraft:lapis_lazuli"}}] at @s if block ~ ~ ~ stonecutter run function system:cutter
execute as @e[type=item,nbt={Item:{tag:{Item:1b}}}] at @s if block ~ ~-1 ~ smithing_table run function system:smithing
execute as @e[type=item,nbt={Item:{id:"minecraft:green_dye"}}] at @s if block ~ ~-2 ~ stripped_acacia_wood run function system:vaultopen
execute as @e[type=item,nbt={Item:{id:"minecraft:green_dye"}}] at @s if block ~ ~-1 ~ stripped_acacia_wood run function system:vaultopen
execute as @e[type=armor_stand,name=VaultPortal] at @s run particle dust 1 0.8 0 1 ~ ~1 ~ 0.4 0.6 0.4 0.1 10 force
execute as @e[type=armor_stand,name=VaultPortal] at @s if entity @a[distance=..1] run particle cloud 15 102 -3 1 1 1 0.1 100 force
execute as @e[type=armor_stand,name=VaultPortal] at @s run tp @a[distance=..1] 15 100 -3 0 ~
execute as @e[type=armor_stand,name=VaultPortal] if entity @a[scores={BossVault=4}] run particle dust 1 0.8 0 1 26 75.5 3 0.4 0.6 0.4 0.1 10 force
tag @a[x=26,y=75,z=3,distance=..1] remove VAULT
execute as @e[type=armor_stand,name=VaultPortal] if entity @a[scores={BossVault=4}] at @s if entity @a[x=26,y=75,z=3,distance=..1] run particle cloud ~ ~ ~2 1 1 1 0.1 100 force
execute as @e[type=armor_stand,name=VaultPortal] if entity @a[scores={BossVault=4}] at @s run tp @a[x=26,y=75,z=3,distance=..1] ~ ~ ~2 0 ~
tag @a[x=15,y=100,z=-4,distance=..3] add VAULT

execute as @e[type=armor_stand,name=RetreatPortal] at @s run particle dust 0.8 0 0.8 1 ~ ~1 ~ 0.4 0.6 0.4 0.1 10 force
execute as @e[type=armor_stand,name=RetreatPortal] at @s unless entity @e[tag=RetreatPortal,distance=..2] as @a[distance=..1] at @e[type=armor_stand,name=RoomSet,tag=RetreatPortal,limit=1,sort=random] run tp @s ~ ~1 ~

scoreboard players set @a[scores={MineRuby2=1..}] MineRuby1 1
scoreboard players set @a[scores={MineRuby3=1..}] MineRuby1 1
execute if entity @a[scores={MineRuby1=1..}] run function system:rubies
execute as @a[nbt={Inventory:[{id:"minecraft:nether_brick"}]}] run function system:rubies2
execute as @e[type=item,nbt={Item:{id:"minecraft:carrot"}},nbt=!{Item:{tag:{Harvest:1b}}}] run data merge entity @s {Item:{tag:{Harvest:1b,CanPlaceOn:["farmland"]}}}
execute as @e[type=item,nbt={Item:{id:"minecraft:potato"}},nbt=!{Item:{tag:{Harvest:1b}}}] run data merge entity @s {Item:{tag:{Harvest:1b,CanPlaceOn:["farmland"]}}}

execute if entity @a[tag=BossRush] run function system:rush/main

execute if entity @a[tag=Tutorial1] run function system:tutorial/tutorial1n
execute if block -9 3 54 redstone_block unless entity @a[tag=Tutorial1] run data merge block -8 3 54 {Text1:"{\"text\":\"Tutorial I:\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tag @s add Tutorial1\"}}",Text2:"{\"text\":\"[Basics]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"title @s title {\\\"text\\\":\\\"Welcome to Ruby Caverns!\\\"}\"},\"bold\":true}",Text3:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function system:tutorial/tutorial1r\"}}"}
execute if block -9 3 54 redstone_block unless entity @a[tag=Tutorial1] run function system:tutorial/tutorial1r
execute if block -9 3 54 redstone_block unless entity @a[tag=Tutorial1] run setblock -9 3 54 diamond_block
execute if entity @a[tag=Tutorial2] run function system:tutorial/tutorial2n
execute if block -9 3 50 redstone_block unless entity @a[tag=Tutorial2] run data merge block -8 3 50 {Text1:"{\"text\":\"Tutorial II:\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"tag @s add Tutorial2\"}}",Text2:"{\"text\":\"[Advanced]\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"title @s title {\\\"text\\\":\\\"Advanced Ruby Caverns!\\\"}\"},\"bold\":true}",Text3:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":\"function system:tutorial/tutorial2r\"}}"}
execute if block -9 3 50 redstone_block unless entity @a[tag=Tutorial2] run function system:tutorial/tutorial1r
execute if block -9 3 50 redstone_block unless entity @a[tag=Tutorial2] run setblock -9 3 50 diamond_block

execute if score GameTest BiteTrail matches 1 unless entity @a[tag=Alive] if entity @a[tag=Dead] run function system:deathcomplete
execute if entity @a[scores={Death=1..}] run function system:death

execute as @e[type=armor_stand,name=RoomSet,tag=Level1] at @s if block ~ ~1 ~ stone_button[powered=true] run tag @s add Bonus1a
execute as @e[type=armor_stand,tag=Bonus1a] run function system:bonus/mines
execute as @e[type=armor_stand,name=RoomSet,tag=Level2] at @s if block ~ ~1 ~ stone_button[powered=true] run tag @s add Bonus2a
execute as @e[type=armor_stand,tag=Bonus2a] run function system:bonus/prison
execute as @e[type=armor_stand,name=RoomSet,tag=Level3] at @s if block ~ ~1 ~ stone_button[powered=true] run tag @s add Bonus3a
execute as @e[type=armor_stand,tag=Bonus3a] run function system:bonus/temple
execute as @e[type=armor_stand,name=RoomSet,tag=Level4] at @s if block ~ ~1 ~ stone_button[powered=true] run tag @s add Bonus4a
execute as @e[type=armor_stand,tag=Bonus4a] run function system:bonus/hell

execute as @e[type=armor_stand,name=RoomSet,tag=Red] at @s if entity @a[tag=Alive,distance=..5] run function system:get/trade
execute as @e[type=armor_stand,name=RoomSet,tag=Blue] at @s if entity @a[tag=Alive,distance=..5] if block ~ ~ ~ light_blue_shulker_box{Items:[{id:"minecraft:glass_bottle",Count:1b,Slot:13b}]} run function system:get/heal
execute as @e[type=armor_stand,name=RoomSet,tag=White] at @s if entity @a[tag=Alive,distance=..5] if block ~ ~ ~ white_shulker_box{Items:[{id:"minecraft:iron_pickaxe",Count:1b,Slot:13b}]} run function system:get/health

execute as @e[type=armor_stand,name=RoomSet,tag=Yellow] at @s if entity @a[tag=Alive,distance=..5] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:gold_ingot",Count:5b,Slot:4b}]} run function system:treasure/treasure
execute as @e[type=armor_stand,name=RoomSet,tag=Yellow] at @s if entity @a[tag=Alive,distance=..5] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:gold_ingot",Count:10b,Slot:4b}]} run function system:treasure/treasure2
execute as @e[type=armor_stand,name=RoomSet,tag=Yellow] at @s if entity @a[tag=Alive,distance=..5] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:gold_ingot",Count:20b,Slot:4b}]} run function system:treasure/treasure3
execute as @e[type=armor_stand,name=RoomSet,tag=Yellow] at @s if entity @a[tag=Alive,distance=..5] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:glowstone_dust",Count:1b,Slot:13b},{id:"minecraft:gold_ingot",Count:4b,Slot:4b}]} run function system:treasure/treasure
execute as @e[type=armor_stand,name=RoomSet,tag=Yellow] at @s if entity @a[tag=Alive,distance=..5] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:glowstone_dust",Count:1b,Slot:13b},{id:"minecraft:gold_ingot",Count:8b,Slot:4b}]} run function system:treasure/treasure2
execute as @e[type=armor_stand,name=RoomSet,tag=Yellow] at @s if entity @a[tag=Alive,distance=..5] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:glowstone_dust",Count:1b,Slot:13b},{id:"minecraft:gold_ingot",Count:16b,Slot:4b}]} run function system:treasure/treasure3

execute if entity @a[scores={Open=1..}] run function system:get/weapon
execute as @a[scores={Bell=1..}] run function system:use/bell
execute as @a[scores={Recipe=1..}] run function system:use/recipe
scoreboard players enable @a LecternTrigger
execute as @a[scores={LecternTrigger=1..}] at @s at @e[tag=Lectern,limit=1,sort=nearest] run function system:use/lectern
execute as @a[scores={EmeraldTrigger=1..}] at @s run function system:use/emeraldscroll
execute as @a[scores={rngTrigger=1..9}] run function system:lobby/seedtrigger
execute as @a[scores={rngTrigger=10}] run function system:lobby/seedtrigger2
execute as @a[scores={ShopTrigger=1..},tag=!Hero] run function system:use/buy
execute as @a[scores={ShopTrigger=1..},tag=Hero] run function system:use/buyhero
advancement grant @a[nbt={Inventory:[{tag:{Lectern:1b}}]}] only fails:adv7
clear @a[tag=Alive] written_book{Lectern:1b}
execute as @a[tag=Alive] at @s if block ~ ~ ~ acacia_pressure_plate[powered=true] as @e[type=armor_stand,name=RoomSet,sort=nearest,limit=1] run function system:use/enchant
execute as @e[tag=EnchantPick] at @s run function system:get/enchant
execute as @a[nbt={Inventory:[{tag:{Enchantments:[{id:"x"}]}}]}] run function system:get/splitget

execute if entity @a[x=0,dx=100,z=-45,dz=100,y=101,dy=3,tag=Alive,tag=!Boss1Skip] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/mines
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=75,dy=3,tag=Alive,tag=!Boss2Skip] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/prison
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=46,dy=3,tag=Alive,tag=!Boss3Skip] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/temple
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=18,dy=3,tag=Alive,tag=!Boss4Skip] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/hell
execute if entity @a[x=3,dx=100,z=-9,dz=100,y=73,dy=5,tag=Alive] run function system:bosses/vault
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=101,dy=3,tag=Alive] if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/mines2
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=75,dy=3,tag=Alive] if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/prison2
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=46,dy=3,tag=Alive] if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/temple2
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=18,dy=3,tag=Alive] if score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/hell2
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=101,dy=3,tag=Alive,tag=Boss1Skip] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/mines3
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=75,dy=3,tag=Alive,tag=Boss2Skip] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/prison3
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=46,dy=3,tag=Alive,tag=Boss3Skip] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/temple3
execute if entity @a[x=0,dx=100,z=-45,dz=100,y=18,dy=3,tag=Alive,tag=Boss4Skip] unless score @e[type=armor_stand,name=Options,limit=1] Challenge matches 6 run function system:bosses/hell3

execute as @a[scores={Wand=1..},level=10..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:10}}}] at @s run function system:lag/specialwand
execute as @a[scores={Wand=1..},level=30..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:42}}}] at @s run function system:lag/specialwand2
execute as @a[scores={Wand=1..},level=5..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:44}}}] at @s run function system:use/crystal
execute as @a[scores={Wand=1..},level=5..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:45}}}] at @s run function system:use/flask
execute as @a[scores={Wand=1..},level=5..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:46}}}] run title @s actionbar {"text":"Cannot transmute that.","color":"red"}
execute as @a[scores={Wand=1..},level=5..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:46}}}] at @s unless entity @e[distance=..5,type=item,nbt={Item:{Count:2b}}] run title @s actionbar {"text":"No two of the same item nearby.","color":"red"}
execute as @a[scores={Wand=1..},level=5..,nbt={SelectedItem:{id:"minecraft:carrot_on_a_stick",tag:{CustomModelData:46}}}] at @s if entity @e[distance=..5,type=item,nbt={Item:{Count:2b}},nbt=!{Item:{id:"minecraft:snowball"}},nbt=!{Item:{id:"minecraft:egg"}},nbt=!{Item:{id:"minecraft:lapis_lazuli"}},nbt=!{Item:{id:"minecraft:experience_bottle"}},nbt=!{Item:{id:"minecraft:arrow"}}] run function system:use/transmute
execute as @a[tag=!ClassM,scores={Wand=1..},level=3..,nbt={SelectedItem:{tag:{Wand:1b}}}] run function system:use/usewand
execute as @a[tag=ClassM,scores={Wand=1..},level=3..,nbt={SelectedItem:{tag:{Wand:1b}}}] run function system:use/usewand2
execute as @a[tag=!ClassM,scores={Wand=1..},level=3..,nbt={SelectedItem:{tag:{Wand:2b}}}] run function system:use/usespell
execute as @a[tag=ClassM,scores={Wand=1..},level=3..,nbt={SelectedItem:{tag:{Wand:2b}}}] run function system:use/usespell2
scoreboard players set @a Wand 0
execute as @a[scores={Transmute=1..}] at @s as @e[type=item,limit=1,sort=nearest,distance=..5,nbt={Item:{Count:2b}}] at @s run function system:use/transmute2

execute as @a[scores={Sneak=1..},tag=ClassSpirit] at @s if entity @e[team=Enemy,distance=..5,type=!player] run function system:monster/drain
execute as @a[tag=ClassSpirit] at @s unless entity @e[team=Enemy,distance=..5,type=!player] run scoreboard players set @s SoulSteal 0
execute as @a[tag=ClassSpirit] at @s unless entity @e[team=Enemy,distance=..5,type=!player] run bossbar set minecraft:soul value 0
execute if entity @e[type=armor_stand,name=OptionsReal,tag=Assist] as @a[scores={Sneak=1..}] if entity @a[tag=Playing] run function system:assist
execute as @a at @s if block ~ ~-1 ~ air run tag @s remove Snuk

execute as @a[tag=ClassEvoker] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:gold_ingot",Count:3b}}] at @s if block ~ ~-1 ~ glowstone run setblock ~ ~ ~ yellow_shulker_box
execute as @a[tag=ClassEvoker] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:gold_ingot",Count:3b}}] at @s if block ~ ~-1 ~ glowstone run particle falling_dust gold_block ~ ~ ~ 0.6 0.6 0.6 0.1 50 force
execute as @a[tag=ClassEvoker] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:gold_ingot",Count:3b}}] at @s if block ~ ~-1 ~ glowstone run kill @s

execute as @a[tag=ClassEvoker] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:oak_planks",Count:3b}}] at @s if entity @e[name=RoomSet,distance=..1] if block ~ ~-1 ~ bookshelf run setblock ~ ~ ~ chest
execute as @a[tag=ClassEvoker] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:oak_planks",Count:3b}}] at @s if entity @e[name=RoomSet,distance=..1] if block ~ ~-1 ~ bookshelf run particle falling_dust bookshelf ~ ~ ~ 0.6 0.6 0.6 0.1 50 force
execute as @a[tag=ClassEvoker] at @s as @e[distance=..5,type=item,nbt={Item:{id:"minecraft:oak_planks",Count:3b}}] at @s if entity @e[name=RoomSet,distance=..1] if block ~ ~-1 ~ bookshelf run kill @s

execute if entity @a[tag=Lobby] run function system:lobby/main
execute at @e[tag=Shopkeep] run scoreboard players set @a[distance=..5] Talk 0
execute at @e[type=armor_stand,tag=Shop] run scoreboard players set @a[distance=..5] Talk 0
execute if entity @a[scores={Talk=1..}] run function system:lobby/talk
execute if entity @e[type=armor_stand,tag=Cell1] run function system:cells/cell1
execute if entity @e[type=armor_stand,tag=Cell2] run function system:cells/cell2
execute if entity @e[type=armor_stand,tag=Cell3] run function system:cells/cell3
execute if entity @e[type=armor_stand,tag=Cell4] run function system:cells/cell4
execute if entity @e[type=armor_stand,tag=Cell5] run function system:cells/cell5
execute if entity @e[type=armor_stand,tag=Cell6] run function system:cells/cell6
execute if entity @e[type=armor_stand,tag=Cell7] run function system:cells/cell7
execute if entity @e[type=armor_stand,tag=Cell8] run function system:cells/cell8
execute as @e[type=villager,name=Freya,team=Enemy] at @s if entity @a[scores={Talk=1..},distance=..5] run function system:cells/cell9
scoreboard players set @a[scores={SneakNPC=50..}] SneakNPC 0
function system:lobby/ajoin