execute at @e[type=armor_stand,tag=Bonus4a,tag=!Bonus4b] run tag @p add Bonus4
execute at @e[type=armor_stand,tag=Bonus4a,tag=!Bonus4b] run setblock -13 31 -32 air replace
execute at @e[type=armor_stand,tag=Bonus4a,tag=!Bonus4b] run setblock -9 32 -36 air
execute at @e[type=armor_stand,tag=Bonus4a,tag=!Bonus4b] run kill @e[type=item,x=-13,y=31,z=-32,distance=..5]
execute at @e[type=armor_stand,tag=Bonus4a,tag=!Bonus4b] run tp @a[tag=Bonus4] -9 32 -36 45 0

scoreboard players operation @s rngIn *= multiplier rng
scoreboard players operation @s rngIn += increment rng
scoreboard players operation @s rngOut = @s rngIn
scoreboard players set modulus rng 2
scoreboard players operation @s rngOut %= modulus rng

execute if entity @e[type=armor_stand,tag=Bonus4a,tag=!Bonus4b,scores={rngOut=0}] run summon area_effect_cloud -17 32 -28 {CustomName:"\"Bonus4x\""}
execute if entity @e[type=armor_stand,tag=Bonus4a,tag=!Bonus4b,scores={rngOut=1}] run summon area_effect_cloud -17 32 -28 {CustomName:"\"Bonus4y\""}
execute if entity @e[type=armor_stand,tag=Bonus4a,tag=!Bonus4b] run scoreboard players set @e[type=area_effect_cloud,limit=1,sort=random,x=-17,y=32,z=-28,distance=..2] BiteTrail 1

execute if entity @e[type=area_effect_cloud,name=Bonus4x,scores={BiteTrail=1}] run summon stray -17 32 -28 {HandItems:[{Count:1,id:"bow",tag:{Enchantments:[{id:"flame",lvl:2}]}}],PersistenceRequired:1,Rotation:[-135F,0F],CustomName:"\"Ignitus\"",Team:Boss}
execute if entity @e[type=area_effect_cloud,name=Bonus4x,scores={BiteTrail=1}] run effect give @e[type=stray,name=Ignitus] absorption 999999 20
execute if entity @e[type=area_effect_cloud,name=Bonus4x,scores={BiteTrail=1}] run title @a[tag=Bonus4] subtitle {"text":"Ignitus the Spirit","color":"light_purple"}

execute if entity @e[type=area_effect_cloud,name=Bonus4y,scores={BiteTrail=1}] run summon minecraft:iron_golem -17 32 -28 {PersistenceRequired:1,Rotation:[-135F,0F],CustomName:"\"RD-5\"",Team:Boss}
execute if entity @e[type=area_effect_cloud,name=Bonus4y,scores={BiteTrail=1}] run title @a[tag=Bonus4] subtitle {"text":"RD-5 the Golem","color":"light_purple"}

execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1}] run title @a[tag=Bonus4] title {"text":"Mini Boss","color":"red"}
execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1}] run tellraw @a[tag=Bonus4] {"text":"Fight!","color":"dark_purple"}
execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1},name=Bonus4x] run tellraw @a[tag=!Bonus4,tag=Playing] {"text":"Someone is fighting the Miniboss!","color":"light_purple"}
execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1},name=Bonus4y] run tellraw @a[tag=!Bonus4,tag=Playing] {"text":"Someone is fighting the Miniboss!","color":"light_purple"}
execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1}] run tag @e[type=armor_stand,tag=Bonus4a] add Bonus4b

execute at @e[type=stray,name=Ignitus] run scoreboard players add @a[distance=..3] Heat 10
effect give @e[type=stray,team=Boss] fire_resistance 5 0

execute unless entity @e[type=stray,name=Ignitus] unless entity @e[type=iron_golem,name=RD-5] if entity @a[tag=Bonus4] run setblock -9 32 -36 minecraft:stone_pressure_plate
execute unless entity @e[type=stray,name=Ignitus] unless entity @e[type=iron_golem,name=RD-5] if entity @a[tag=Bonus4] run title @a[tag=Bonus4] title {"text":"You Win!","color":"dark_green"}
execute unless entity @e[type=stray,name=Ignitus] unless entity @e[type=iron_golem,name=RD-5] if entity @a[tag=Bonus4] run title @a[tag=Bonus4] subtitle {"text":"Claim your prize... and continue!","color":"green"}
execute unless entity @e[type=stray,name=Ignitus] unless entity @e[type=iron_golem,name=RD-5] if entity @a[tag=Bonus4] run setblock -13 31 -32 minecraft:dispenser[facing=up]
execute unless entity @e[type=stray,name=Ignitus] unless entity @e[type=iron_golem,name=RD-5] if entity @a[tag=Bonus4] run data merge block -13 31 -32 {LootTable:"mctools:bonus4"}
execute unless entity @e[type=stray,name=Ignitus] unless entity @e[type=iron_golem,name=RD-5] if entity @a[tag=Bonus4] run particle minecraft:flame -13 31 -32 0.5 0.5 0.5 0.1 100 force
execute unless entity @e[type=stray,name=Ignitus] unless entity @e[type=iron_golem,name=RD-5] if entity @a[tag=Bonus4] run particle minecraft:smoke -13 31 -32 0.5 0.5 0.5 0.1 1000 force
execute unless entity @e[type=stray,name=Ignitus] unless entity @e[type=iron_golem,name=RD-5] if entity @a[tag=Bonus4,tag=Light] run summon item -13 32 -32 {Item:{id:"paper",Count:1,tag:{Boss:4,display:{Name:"{\"text\":\"Void Lock\"}"}}}}
execute unless entity @e[type=stray,name=Ignitus] unless entity @e[type=iron_golem,name=RD-5] if entity @a[tag=Bonus4] run tag @a remove Bonus4

execute if block -9 32 -36 minecraft:stone_pressure_plate[powered=true] at @e[type=armor_stand,tag=Bonus4b] run setblock ~ ~1 ~ air
execute if block -9 32 -36 minecraft:stone_pressure_plate[powered=true] at @e[type=armor_stand,tag=Bonus4b] run tp @p[x=-9,y=32,z=-36,distance=..2] ~ ~0.5 ~
execute if block -9 32 -36 minecraft:stone_pressure_plate[powered=true] as @e[type=armor_stand,tag=Bonus4b] run tag @s remove Bonus4a