playsound block.beacon.power_select ambient @a 14 2 52
xp set @a 0 points
xp set @a 0 levels
execute if entity @e[type=armor_stand,name=Options,tag=Skip] run tag @e[type=armor_stand,name=OptionsReal] add Skip
execute if entity @e[type=armor_stand,name=Options,tag=Assist] run tag @e[type=armor_stand,name=OptionsReal] add Assist
execute if entity @e[type=armor_stand,name=Options,tag=Timer] run tag @e[type=armor_stand,name=OptionsReal] add Timer
execute if entity @e[type=armor_stand,name=Options,tag=SplitMode] run tag @e[type=armor_stand,name=OptionsReal] add SplitMode
execute unless entity @e[type=armor_stand,name=Options,tag=Skip] run tag @e[type=armor_stand,name=OptionsReal] remove Skip
execute unless entity @e[type=armor_stand,name=Options,tag=Assist] run tag @e[type=armor_stand,name=OptionsReal] remove Assist
execute unless entity @e[type=armor_stand,name=Options,tag=Timer] run tag @e[type=armor_stand,name=OptionsReal] remove Timer
execute unless entity @e[type=armor_stand,name=Options,tag=SplitMode] run tag @e[type=armor_stand,name=OptionsReal] remove SplitMode
scoreboard players operation @e[type=armor_stand,name=OptionsReal] Mode = @e[type=armor_stand,name=Options] Mode
scoreboard players operation @e[type=armor_stand,name=OptionsReal] Generation = @e[type=armor_stand,name=Options] Generation
tag @a[tag=ClassMain] add Playing
tag @a[tag=ClassE] add Playing
tellraw @a {"text":"The dungeon... awaits.","color":"black","bold":"true"}
tellraw @a {"text":"Generating Dungeon! Please wait...","color":"dark_green"}
function complete:reset

function system:seed/randomseed
execute if entity @e[type=fox,scores={rng=2}] store result score seed rng run data get entity @a[tag=ClassMain,limit=1] UUIDMost 0.0000000000232830643653869628
execute if entity @e[type=fox,scores={rng=1}] run scoreboard players operation seed rng = freya rng

execute positioned 0 4 0 run function mines:asetup

fill 15 133 -35 15 133 -29 air
execute if entity @a[tag=ClassW] run clone 17 140 -34 17 140 -34 18 133 -32
execute if entity @a[tag=ClassM] run clone 17 140 -32 17 140 -32 18 133 -32
execute if entity @a[tag=ClassT] run clone 17 140 -30 17 140 -30 18 133 -32
execute if entity @a[tag=ClassJ] run clone 19 140 -32 19 140 -32 18 133 -32
execute if entity @a[tag=ClassSide1] run clone 15 140 -33 15 140 -33 15 133 -35
execute if entity @a[tag=ClassSide2] run clone 15 140 -31 15 140 -31 15 133 -29
execute if entity @a[tag=ClassBlaze] run clone 21 140 -34 21 140 -34 18 133 -32
execute if entity @a[tag=ClassSpirit] run clone 21 140 -32 21 140 -32 18 133 -32
execute if entity @a[tag=ClassEvoker] run clone 21 140 -30 21 140 -30 18 133 -32
tp @a[tag=ClassMain] 12 133 -32
tp @a[tag=ClassE] 10 133 -32
tag @a[tag=Playing] remove Lobby
tag @a[tag=Playing] add Alive
setblock 15 7 -62 chest[facing=south]
scoreboard players set GameTest BiteTrail 1
spawnpoint @a[tag=ClassMain] 12 133 -32
spawnpoint @a[tag=ClassE] 12 133 -32
effect give @a[tag=ClassW] haste 999999 1 true
effect give @a[tag=ClassM] slow_falling 999999 0 true
effect give @a[tag=ClassT] absorption 999999 4 true
effect give @a[tag=ClassBlaze] fire_resistance 999999 4 true
effect give @a[tag=ClassSpirit] night_vision 999999 0 true
effect give @a[tag=ClassEvoker] luck 999999 0 true
replaceitem entity @a[tag=ClassJ] armor.feet leather_boots{Unbreakable:1,Enchantments:[{id:"binding_curse",lvl:1}],HideFlags:63,display:{Name:"{\"text\":\"Cursed\",\"color\":\"dark_purple\"}",color:7667901},AttributeModifiers:[{AttributeName:"generic.maxHealth",Name:"generic.maxHealth",Amount:-10,Operation:0,UUIDMost:27285,UUIDLeast:109408}]}
effect give @a[tag=ClassJ] absorption 999999 2 true
team leave @a
team join Human @a[tag=Playing]
scoreboard players set End Time 0
scoreboard players set Ending1 Time 0
scoreboard players set Ending2 Time 0
scoreboard players set Ending1x Time 0
scoreboard players set Ending2x Time 0
scoreboard players set Ending2y Time 0
scoreboard players set EndUltimate Time 0
scoreboard players set EndWin Time 0
setblock 15 7 -32 air

setblock 17 133 -34 air
setblock 25 101 -31 air
setblock 25 75 -32 air
setblock 25 46 -32 air
execute if entity @e[type=armor_stand,name=OptionsReal,tag=Skip] run scoreboard players set @a BossTrigger1 2
execute if entity @e[type=armor_stand,name=OptionsReal,tag=Skip] run scoreboard players set @a BossTrigger2 2
execute if entity @e[type=armor_stand,name=OptionsReal,tag=Skip] run scoreboard players set @a BossTrigger3 2
execute if entity @e[type=armor_stand,name=OptionsReal,tag=Skip] run scoreboard players set @a BossTrigger4 2
execute if entity @e[type=armor_stand,name=OptionsReal,tag=Timer] run scoreboard objectives setdisplay sidebar Timer
execute if entity @e[type=armor_stand,name=OptionsReal,tag=Assist] run give @a[tag=Playing] written_book{pages:["{\"text\":\"A Beginner's Guide To Dungeoneering, Spelunking or Whatever You are Doing Right Now\\n\\nBy Dieuwt or something\"}","{\"text\":\"BASICS\\n\\nGoal: get as far down as possible.\\nBreak spawners, get items, kill bosses.\\nCraft stuff, trade gold, make bad decisions.\\nReach the mysterious Emerald Medal to... win.\"}","{\"text\":\"WEAPONS\\nEvery time you open a chest on a pedestal, you get a weapon upgrade. There are two paths: melee and ranged. If you get a better weapon than before, your old weapon is replaced. Weapons are tracked per player, not per game.\"}","{\"text\":\"ENEMIES\\nYou will encounter many enemies on your... quest. Defeat them to get loot, break their spawners to stop them. You get experience points for both these things, which can be used for numerous actions.\"}","{\"text\":\"ITEMS\\nThere are 3 types of items: Treasure, Scrolls, and Wands/Spells. Treasure is mostly used passively, unless stated. Scrolls are a one-time use, and activated by putting one in your offhand. Wands/Spells can be used over and over, but require xp.\"}","{\"text\":\"All items always do the same over runs, but the effect can only be found out by testing.\"}","{\"text\":\"BOXES\\nBoxes are trading points.\\nWhite boxes require 4/5/7/8 Leather/Iron/Diamond in the upper slot AND an iron pick in the middle slot for armor.\\nBlue boxes require 3/5/8/12/15 Tears in the upper slot AND a bottle in the middle slot for potions.\"}","{\"text\":\"Yellow boxes require 5/10/20 gold in the upper slot for treasure.\\nRed boxes require a Treasure item, wand or scroll and give gold in return; otherwise require 5 leather/iron and give 2 iron/diamonds in return.\"}"],title:"A Beginner's Guide",author:"Dungeon Master"}
execute unless entity @e[type=armor_stand,name=OptionsReal,tag=Timer] run scoreboard objectives setdisplay sidebar
fill 14 10 -56 16 10 -54 light_blue_terracotta
execute if entity @a[tag=ClassSide1] if entity @a[tag=ClassSide2] run advancement grant @a[tag=Playing] only classes:adv10
execute if entity @e[type=armor_stand,name=OptionsReal,scores={Mode=3}] run xp set @a[tag=Playing] 99999 levels
execute if entity @e[type=armor_stand,name=OptionsReal,scores={Mode=3}] run xp set @a[tag=Playing] 0 points
execute if entity @e[type=armor_stand,name=OptionsReal,scores={Mode=3}] run effect give @a[tag=Playing] resistance 99999 20 true
execute if entity @e[type=armor_stand,name=OptionsReal,scores={Mode=3}] run effect give @a[tag=Playing] luck 99999 4 true
execute if entity @e[type=armor_stand,name=OptionsReal,scores={Mode=3}] run effect give @a[tag=Playing] saturation 99999 20 true
kill @e[team=Boss]
kill @e[team=Enemy,tag=!NPC1]
kill @e[type=item,x=21,y=1,z=59,distance=10..,tag=!LobbyItem]
kill @e[type=wolf]
kill @e[type=experience_orb]
scoreboard players add @e[type=armor_stand,name=Options] CurrentGame 1
scoreboard players add @a CurrentGame 1
setblock 14 3 52 oak_button[face=floor]
scoreboard players set @a AdvKill 0
scoreboard players set @a AdvTreasure 0
scoreboard players set @a AdvWand 0
scoreboard players set @a TimeTime -1
tag @a remove AdvPlate
tag @e remove ScrollLevel
function system:lobby/startclear

give @a[scores={Amulets=1},tag=Playing] glowstone_dust{display:{Lore:['{"text":"§6Looks pretty knock-off. Oh well."}','{"text":"§6Probably works fine."}'],Name:"{\"text\":\"Amulet\",\"color\":\"yellow\"}"}}
give @a[scores={Amulets=2},tag=Playing] glowstone_dust{display:{Lore:['{"text":"§6Looks very knock-off. Oh well."}','{"text":"§6Probably works fine."}'],Name:"{\"text\":\"Amulet\",\"color\":\"yellow\"}"}} 2
give @a[scores={Amulets=3},tag=Playing] glowstone_dust{display:{Lore:['{"text":"§6Looks extremely knock-off. Oh well."}','{"text":"§6Probably works fine."}'],Name:"{\"text\":\"Amulet\",\"color\":\"yellow\"}"}} 3
scoreboard players set @a[tag=Playing] Amulets 0
give @a[scores={Look2=1},tag=Playing] diamond_sword{Unbreakable:1,HideFlags:63,display:{Name:"{\"text\":\"Sword\",\"italic\":\"false\",\"color\":\"gold\"}"}}
give @a[scores={Look2=2},tag=Playing] diamond_axe{Unbreakable:1,HideFlags:63,display:{Name:"{\"text\":\"Crusher\",\"italic\":\"false\",\"color\":\"gold\"}"}}
give @a[scores={Look2=3},tag=Playing] bow{Unbreakable:1,display:{Name:"{\"text\":\"Bow\",\"italic\":\"false\",\"color\":\"gold\"}"}}
give @a[scores={Look2=3},tag=Playing] arrow 20
give @a[scores={Look2=4},tag=Playing] trident{Unbreakable:1,HideFlags:63,display:{Name:"{\"text\":\"Trident\",\"italic\":\"false\",\"color\":\"gold\"}"}}
give @a[scores={Look2=5},tag=Playing] carrot_on_a_stick{Enchantments:[{id:"wand",lvl:1}],Unbreakable:1,HideFlags:63,Wand:1b,CustomModelData:3,display:{Name:"{\"text\":\"Wand of Nature\",\"italic\":\"true\",\"color\":\"blue\"}"}}
give @a[scores={Look2=6},tag=Playing] carrot_on_a_stick{Enchantments:[{id:"wand",lvl:1}],Unbreakable:1,HideFlags:63,Wand:1b,CustomModelData:2,display:{Name:"{\"text\":\"Wand of Flames\",\"italic\":\"true\",\"color\":\"blue\"}"}}
give @a[scores={Look2=7},tag=Playing] carrot_on_a_stick{Enchantments:[{id:"wand",lvl:1}],Unbreakable:1,HideFlags:63,Wand:2b,CustomModelData:24,display:{Name:"{\"text\":\"Hasty Spell\",\"italic\":\"true\",\"color\":\"blue\"}"}}
give @a[scores={Look2=8},tag=Playing] carrot_on_a_stick{Enchantments:[{id:"wand",lvl:1}],Unbreakable:1,HideFlags:63,Wand:2b,CustomModelData:25,display:{Name:"{\"text\":\"Lucky Spell\",\"italic\":\"true\",\"color\":\"blue\"}"}}
give @a[scores={Look2=9},tag=Playing] music_disc_13{CustomModelData:6,CanPlaceOn:["jukebox"],HideFlags:63,Scroll:1b,display:{Name:"{\"text\":\"Saturation Scroll\",\"bold\":\"true\",\"italic\":\"false\",\"color\":\"dark_green\"}"}}
give @a[scores={Look2=10},tag=Playing] music_disc_13{CustomModelData:7,CanPlaceOn:["jukebox"],HideFlags:63,Scroll:1b,display:{Name:"{\"text\":\"Time Scroll\",\"bold\":\"true\",\"italic\":\"false\",\"color\":\"light_purple\"}"}}
give @a[scores={Look2=11},tag=Playing] music_disc_13{CustomModelData:1,CanPlaceOn:["jukebox"],HideFlags:63,Scroll:1b,display:{Name:"{\"text\":\"Challenge Scroll\",\"bold\":\"true\",\"italic\":\"false\",\"color\":\"dark_red\"}"}}
give @a[scores={Look2=12},tag=Playing] music_disc_13{CustomModelData:9,CanPlaceOn:["jukebox"],HideFlags:63,Scroll:1b,display:{Name:"{\"text\":\"Blast Scroll\",\"bold\":\"true\",\"italic\":\"false\",\"color\":\"gold\"}"}}

give @a[scores={Look3=1},tag=Playing] clay_ball{Item:1b,display:{Lore:['{"text":"§cThis seal doesn\'t absorb any damage;"}','{"text":"§cit does, however, detect it for some reason."}'],Name:"{\"text\":\"Warrior's Seal\",\"color\":\"dark_red\"}"}}
give @a[scores={Look3=2},tag=Playing] lapis_lazuli{display:{Lore:['{"text":"§1Speciality of the Mage, in solid form."}','{"text":"§1Works well with books and experience."}'],Name:"{\"text\":\"Mage's Magic\",\"color\":\"dark_blue\"}"}} 32
give @a[scores={Look3=3},tag=Playing] sugar_cane{Item:1b,display:{Lore:['{"text":"§aOnce stolen by a Master Thief."}','{"text":"§aImproves trade skills... a lot."}'],Name:"{\"text\":\"Thief's Charm\",\"color\":\"dark_green\"}"}}
give @a[scores={Look3=4},tag=Playing] written_book{pages:["{\"text\":\"Hello, Adventurer! This guide is brought to you by Guidy Guides Inc, a product from Dieuwt's Imagination Factory. \\n\\nThis book contains a list of all, yes, *all* items out there! Be prepared for a long read...\"}","{\"text\":\"Page 3: Rooms\\nPage 4: Boxes\\nPage 5: Treasure\\nPage 9: Magic\\nPage 13: Scrolls\\nPage 15: Playing Scrolls\\nPage 17: Defense\\nPage 18: Armor\\nPage 19: Healing\\nPage 21: Buying\\nPage 22: Trading\\nPage 23: Bonus Items\"}","{\"text\":\"ROOMS\\nFire/Ice Room: hurts unless you have something for it.\\nUpgrade Room: open the chest to get a better weapon.\\nMagic Room: open the chest for an item.\\nScroll Player: put in a scroll to get a permanent effect.\\nEnd Chest: save items for later.\"}","{\"text\":\"BOXES\\nTreasure Room: put gold (with amulet) in for items.\\nPotion Room: put tears and a bottle in for potions.\\nArmor Room: put flint/leather/iron/diamond in for armor.\\nTrade Room: put leather/iron/treasure/wand/scroll in for gold.\"}","{\"text\":\"TREASURE\\nClock of Time: slows nearby enemies.\\nBeacon of Space: weakens nearby enemies.\\nAir Orb: makes you faster.\\nEarth Orb: gives knockback resistance when held.\\nMagnet: pulls items.\\nThird Eye: see close enemies.\"}","{\"text\":\"Lucky Clover: gives Luck.\\nNightflower: gives Night Vision.\\nIce Crystals: make you immune for Ice Rooms.\\nFire Crystals: make you immune for Fire Rooms.\\nRed Heart: gives regen if wounded.\\nBlack Heart: gives regen if killing undead.\"}","{\"text\":\"Light Star: can make monsters friendly.\\nDark Star: can make monsters disappear (no loot).\\nIce Bubble: prevents negative effects.\\nFire Bubble: prevents heat melting.\\nCompass: lights up entrance (up).\\nWayward: lights up exit (down).\"}","{\"text\":\"Drawing Book: contains recipes.\\nWriting Book: contains whatever's in this book.\\nIron: can be used to make armor.\\nTears: can be used to make potions.\\nGolden Apple: heals and gives some good effects.\"}","{\"text\":\"MAGIC WANDS\\nWand of Impact: deals damage.\\nWand of Flames: summons a fireball (punch it).\\nWand of Venom: poisons enemies.\\nWand of Air: makes enemies float.\\nWand of Nature: roots enemies.\"}","{\"text\":\"Wand of Liquid: summons temporary lava.\\nWand of Force: creates a non-damaging explosion.\\nWand of Thunder: creates a damaging field.\"}","{\"text\":\"SPELLS\\nFiery Spell: makes immune for any fire.\\nIcey Spell: makes immune for any ice and gives speed.\\nPortaly Spell: teleports back to entrance.\\nLucky Spell: makes loot better.\\nHasty Spell: lets you break stuff faster.\"}","{\"text\":\"Cleansy Spell: removes all negative effects.\\nHealthy Spell: restores hunger and hearts.\\nVisiony Spell: makes all monsters visible.\"}","{\"text\":\"SCROLLS\\nChallenge: gives you and enemies strength.\\nSafety: gives high resistance.\\nTrading: summons a Trader.\\nMind: reveals special rooms.\\nSaturation: restores hunger.\"}","{\"text\":\"Transparency: makes you invisible.\\nBlast: summons an explosion.\\nDarkness: kills all enemies, but gives blindness.\\nTime: stops time.\\nRewind: resets the current floor.\"}","{\"text\":\"PLAYING SCROLLS\\nChallenge: gives Absorption.\\nSafety: gives Fire Resistance.\\nSupport: gives Luck.\\nMind: allows you to see nearby enemies.\\nSaturation: gives Health Boost.\"}","{\"text\":\"Transparency: makes you transparent (not invisible!).\\nBlast: gives enemies Weakness.\\nDarkness: gives enemies Slowness.\\nTime: gives you Speed.\\nRewind:\"}","{\"text\":\"DEFENSE\\nBasic Requirements: White Crafter, Iron Pickaxe, Flint\\n\\n5 flint: Plant Skin; protection I\\n10 flint: Overgrown Flesh; protection II\\n15 flint: Dragonhide; protection III\"}","{\"text\":\"ARMOR\\nBasic Requirements: White Crafter, Iron Pickaxe, lea/iron/dia\\n\\n4 items: lea/iron/dia boots\\n5 items: lea/iron/dia helmet\\n7 items: lea/iron/dia leggings\\n8 items: lea/iron/dia chestplate\"}","{\"text\":\"HEALING\\nBasic Requirements: Blue Crafter, Empty Bottle, Tears\\n\\n3 Tears: Energy Bottle (Heal)\\n\\n5 Tears: Healing Essence (Heal/Regen)\\n\\n8 Tears: Restoring Flask (Heal 2/Regen 2)\"}","{\"text\":\"12 Tears: Heart Essence (Heal 2/Regen/Saturation)\\n\\n15 Tears: Life Essence (Heal 3/Regen 3/Health)\"}","{\"text\":\"BUYING\\nBasic Requirements: Yellow Crafter, Gold\\n\\nTreasure: 5 Gold (any random of 25 items)\\nRare Treasure: 10 Gold (any random of 12 good items)\\nMega Treasure: 20 Gold (any of random 5 legendary items)\"}","{\"text\":\"TRADING\\n1 item: 2 gold\\n1 scroll: 3 gold\\n1 wand: 4 gold\\n5 leather: 2 iron\\n5 iron: 2 diamonds\"}","{\"text\":\"BONUS\\nWand of Blindness: makes monsters attack only from close.\\nWand of Protection: gives hearts and a little food.\\nAffection Scroll: makes all enemies friendly.\\nSummoning Scroll: summons an weak but invulnerable Wolf.\"}","{\"text\":\"Warrior's Oath: get protection and healing after taking enough damage.\\nMage's Magic: enchant items at tables.\\nThief's Band: get gold back after NPC trading.\\nMiner's Guide: contains info about all items.\"}"],title:"Miner's Guide",author:"Morro (?)",display:{Lore:['{"text":"Written for amateurs... or masters.","Read for knowledge, nothing more, nothing less."}'],Name:"{\"text\":\"Miner's Guide\",\"color\":\"light_purple\"}"}}

give @a[scores={Look3=5},tag=Playing] iron_hoe{Unbreakable:1,Damage:1,HideFlags:63,Enchantments:[{id:"smite",lvl:3},{id:"sharpness",lvl:6}],display:{Lore:['{"text":"§4An ancient artifact, revived by craftmanship!"}','{"text":"§4It deals much more damage to the undead."}'],Name:"{\"text\":\"Holy Scythe\",\"color\":\"dark_blue\"}"}}

give @a[scores={Look3=6},tag=Playing] golden_axe{Unbreakable:1,Damage:1,HideFlags:63,Unbreakable:1,AttributeModifiers:[{AttributeName:"generic.movementSpeed",Slot:"mainhand",Amount:-0.25,Operation:1,UUIDMost:2,UUIDLeast:2},{AttributeName:"generic.attackSpeed",Amount:-3,Operation:0,UUIDLeast:1,UUIDMost:1}],Enchantments:[{id:"sharpness",lvl:15}],display:{Lore:['{"text":"§4A massive axe, made out of hard-rock obsidian."}','{"text":"§4It\'s... really heavy though. Like... seriously."}'],Name:"{\"text\":\"Obsidian Greataxe\",\"color\":\"dark_green\"}"}}

give @a[scores={Look3=7},tag=Playing] iron_sword{Damage:1,Unbreakable:1,HideFlags:63,Unbreakable:1,Enchantments:[{id:"sharpness",lvl:8}],AttributeModifiers:[{AttributeName:"generic.movementSpeed",Name:"generic.movementSpeed",Slot:"mainhand",Amount:0.25,Operation:1,UUIDMost:10655,UUIDLeast:145704}],display:{Lore:['{"text":"§4A special blade, imbued by storm and lightning."}','{"text":"§4Makes you as fast as the wind, but just as strong."}'],Name:"{\"text\":\"Aerial Blade\",\"color\":\"yellow\"}"}}

give @a[scores={Look3=8},tag=Playing] diamond_sword{HideFlags:63,Enchantments:[{id:"sharpness",lvl:8},{id:"thorns",lvl:10},{id:"fire_aspect",lvl:3}],AttributeModifiers:[{AttributeName:"generic.attackDamage",Name:"generic.attackDamage",Slot:"mainhand",Amount:-0.1,Operation:1,UUIDMost:96820,UUIDLeast:132304}],display:{Lore:['{"text":"§4A fast blade, literally burning with passion."}','{"text":"§4It\'s also defensive; it burns even on passive touch."}'],Name:"{\"text\":\"Red-Hot Scimitar\",\"color\":\"red\"}"},Damage:3,Unbreakable:1}

give @a[scores={Look3=9},tag=Playing] music_disc_13{CustomModelData:13,HideFlags:63,Scroll:1b,display:{Name:"{\"text\":\"Affection Scroll\",\"bold\":\"true\",\"italic\":\"false\",\"color\":\"red\"}"}}
give @a[scores={Look3=10},tag=Playing] music_disc_13{CustomModelData:14,HideFlags:63,Scroll:1b,display:{Name:"{\"text\":\"Summoning Scroll\",\"bold\":\"true\",\"italic\":\"false\",\"color\":\"gray\"}"}}
give @a[scores={Look3=11},tag=Playing] carrot_on_a_stick{Enchantments:[{id:"wand",lvl:1}],Unbreakable:1,HideFlags:63,Wand:1b,CustomModelData:9,display:{Name:"{\"text\":\"Wand of Blinding\",\"italic\":\"true\",\"color\":\"dark_gray\"}"}}
give @a[scores={Look3=12},tag=Playing] carrot_on_a_stick{Enchantments:[{id:"wand",lvl:1}],Unbreakable:1,HideFlags:63,Wand:2b,CustomModelData:29,display:{Name:"{\"text\":\"Shieldy Spell\",\"italic\":\"true\",\"color\":\"yellow\"}"}}

scoreboard players set @a[tag=Playing] Look1 0
scoreboard players set @a[tag=Playing] Look2 0
scoreboard players set @a[tag=Playing] Look3 0
scoreboard players set @a[tag=Playing] PowerUp 0

#Freya!
kill @e[type=fox,team=Enemy]
fill 1 133 -31 0 135 -31 air
execute if entity @e[type=armor_stand,tag=EndingGood] unless entity @e[type=armor_stand,tag=CellZComplete] run summon fox -1 133 -31 {Sitting:1b,Invulnerable:1b,PersistenceRequired:1b,NoAI:1b,Rotation:[-100.0f, 0.0f],HandItems:[{id:"book",Count:1b},{}],Type:"red",CustomName: '{"text":"Freya"}',CustomNameVisible:1b,Team:Enemy}
execute if entity @e[type=armor_stand,tag=EndingGood] unless entity @e[type=armor_stand,tag=CellZComplete] run setblock 0 133 -31 jungle_wall_sign[facing=north,waterlogged=false]{Color:"black",Text4:'{"text":"392 + ??? ? ??"}',Text3:'{"text":"238???0432?348?"}',Text2:'{"text":"37 ????913"}',Text1:'{"text":"5920???24?"}'}
execute if entity @e[type=armor_stand,tag=EndingGood] unless entity @e[type=armor_stand,tag=CellZComplete] run setblock 1 134 -31 jungle_wall_sign[facing=north,waterlogged=false]{Color:"black",Text4:'{"text":"% ?? ???? (?)"}',Text3:'{"text":"+ 5810 (??)"}',Text2:'{"text":"/ ? 491? 6510?"}',Text1:'{"text":"?73? * ?????591"}'}
execute if entity @e[type=armor_stand,tag=EndingGood] unless entity @e[type=armor_stand,tag=CellZComplete] run setblock 0 135 -31 jungle_wall_sign[facing=north,waterlogged=false]{Color:"black",Text4:'{"text":"-> ? -> jwsdv?sf"}',Text3:'{"text":"calc -> calc2"}',Text2:'{"text":"seed? result?"}',Text1:'{"text":"div? mod?"}'}
execute if entity @e[type=armor_stand,tag=EndingGood] unless entity @e[type=armor_stand,tag=CellZComplete] run summon villager 0.0 133.0 -30.5 {VillagerData:{profession:""},Silent:1,Offers:{Recipes:[]},CustomName:"\"Freya\"",Team:Enemy,Invulnerable:1,ActiveEffects:[{ShowParticles:0,Duration:999999,Id:14,Amplifier:1}]}
execute if entity @e[name=OptionsReal,tag=rng] run scoreboard players set @e[type=villager,name=Freya] Time 520

execute if entity @e[type=armor_stand,name=OptionsReal,tag=SplitMode] run clone 43 116 -58 42 116 -58 16 133 -34
scoreboard players set Split SplitMode 0
bossbar set soul players @a[tag=ClassSpirit]
recipe take @a specialarrow
recipe take @a specialbottle
recipe take @a speciallantern
recipe take @a speciallapis
recipe take @a specialtorch
recipe give @a arrow
recipe give @a glass_bottle
recipe give @a lantern
recipe give @a torch