execute at @e[type=armor_stand,tag=Bonus1a,tag=!Bonus1b] run tag @p add Bonus1
execute at @e[type=armor_stand,tag=Bonus1a,tag=!Bonus1b] run setblock -13 106 -32 air replace
execute at @e[type=armor_stand,tag=Bonus1a,tag=!Bonus1b] run setblock -9 107 -36 air
execute at @e[type=armor_stand,tag=Bonus1a,tag=!Bonus1b] run kill @e[type=item,x=-13,y=106,z=-32,distance=..5]
execute at @e[type=armor_stand,tag=Bonus1a,tag=!Bonus1b] run tp @a[tag=Bonus1] -9 107 -36 45 0

scoreboard players operation @s rngIn *= multiplier rng
scoreboard players operation @s rngIn += increment rng
scoreboard players operation @s rngOut = @s rngIn
scoreboard players set modulus rng 2
scoreboard players operation @s rngOut %= modulus rng

execute if entity @e[type=armor_stand,tag=Bonus1a,tag=!Bonus1b,scores={rngOut=0}] run summon area_effect_cloud -17 107 -28 {CustomName:"\"Bonus1x\""}
execute if entity @e[type=armor_stand,tag=Bonus1a,tag=!Bonus1b,scores={rngOut=1}] run summon area_effect_cloud -17 107 -28 {CustomName:"\"Bonus1y\""}
execute if entity @e[type=armor_stand,tag=Bonus1a,tag=!Bonus1b] run scoreboard players set @e[type=area_effect_cloud,limit=1,sort=random,x=-17,y=107,z=-28,distance=..2] BiteTrail 1

execute if entity @e[type=area_effect_cloud,name=Bonus1x,scores={BiteTrail=1}] run summon minecraft:witch -17 107 -28 {PersistenceRequired:1,Rotation:[-135F,0F],CustomName:"\"Hadox\"",Team:Boss}
execute if entity @e[type=area_effect_cloud,name=Bonus1x,scores={BiteTrail=1}] run effect give @e[type=witch,name=Hadox] absorption 999999 9
execute if entity @e[type=area_effect_cloud,name=Bonus1x,scores={BiteTrail=1}] run title @a[tag=Bonus1] subtitle {"text":"Hadox the Witch","color":"light_purple"}

execute if entity @e[type=area_effect_cloud,name=Bonus1y,scores={BiteTrail=1}] run summon minecraft:vindicator -17 107 -28 {PersistenceRequired:1,Rotation:[-135F,0F],CustomName:"\"Uluru\"",Team:Boss,HandItems:[{id:"stone_axe",Count:1},{}]}
execute if entity @e[type=area_effect_cloud,name=Bonus1y,scores={BiteTrail=1}] run effect give @e[type=vindicator,name=Uluru] absorption 999999 9
execute if entity @e[type=area_effect_cloud,name=Bonus1y,scores={BiteTrail=1}] run effect give @e[type=vindicator,name=Uluru] speed 30 0
execute if entity @e[type=area_effect_cloud,name=Bonus1y,scores={BiteTrail=1}] run title @a[tag=Bonus1] subtitle {"text":"Uluru the Vindicator","color":"light_purple"}

execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1}] run title @a[tag=Bonus1] title {"text":"Mini Boss","color":"red"}
execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1}] run tellraw @a[tag=Bonus1] {"text":"Fight!","color":"dark_purple"}
execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1},name=Bonus1x] run tellraw @a[tag=!Bonus1,tag=Playing] {"text":"Someone is fighting the Miniboss!","color":"light_purple"}
execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1},name=Bonus1y] run tellraw @a[tag=!Bonus1,tag=Playing] {"text":"Someone is fighting the Miniboss!","color":"light_purple"}
execute if entity @e[type=area_effect_cloud,scores={BiteTrail=1}] run tag @e[type=armor_stand,tag=Bonus1a] add Bonus1b

scoreboard players add @e[type=witch,name=Hadox,limit=1,sort=random] Time 1
execute at @e[type=witch,name=Hadox,scores={Time=300..}] run summon minecraft:witch ~ ~ ~ {PersistenceRequired:1,CustomName:"\"Hadox\"",Team:Boss}
execute at @e[type=witch,name=Hadox,scores={Time=300..}] run particle minecraft:witch ~ ~1 ~ 0 0 0 0.1 100 force
scoreboard players set @e[type=witch,name=Hadox,scores={Time=300..}] Time 0

execute unless entity @e[type=witch,name=Hadox] unless entity @e[type=vindicator,name=Uluru] if entity @a[tag=Bonus1] run setblock -9 107 -36 minecraft:stone_pressure_plate
execute unless entity @e[type=witch,name=Hadox] unless entity @e[type=vindicator,name=Uluru] if entity @a[tag=Bonus1] run title @a[tag=Bonus1] title {"text":"You Win!","color":"dark_green"}
execute unless entity @e[type=witch,name=Hadox] unless entity @e[type=vindicator,name=Uluru] if entity @a[tag=Bonus1] run title @a[tag=Bonus1] subtitle {"text":"Claim your prize... and continue!","color":"green"}
execute unless entity @e[type=witch,name=Hadox] unless entity @e[type=vindicator,name=Uluru] if entity @a[tag=Bonus1] run setblock -13 106 -32 minecraft:dispenser[facing=up]
execute unless entity @e[type=witch,name=Hadox] unless entity @e[type=vindicator,name=Uluru] if entity @a[tag=Bonus1] run data merge block -13 106 -32 {LootTable:"mctools:bonus1"}
execute unless entity @e[type=witch,name=Hadox] unless entity @e[type=vindicator,name=Uluru] if entity @a[tag=Bonus1] run execute store result block -13 106 -32 LootTableSeed long 1 run scoreboard players get seedloot rng
execute unless entity @e[type=witch,name=Hadox] unless entity @e[type=vindicator,name=Uluru] if entity @a[tag=Bonus1] run particle minecraft:flame -13 106 -32 0.5 0.5 0.5 0.1 100 force
execute unless entity @e[type=witch,name=Hadox] unless entity @e[type=vindicator,name=Uluru] if entity @a[tag=Bonus1] run particle minecraft:smoke -13 106 -32 0.5 0.5 0.5 0.1 1000 force
execute unless entity @e[type=witch,name=Hadox] unless entity @e[type=vindicator,name=Uluru] if entity @a[tag=Bonus1,tag=Light] run summon item -13 107 -32 {Item:{id:"paper",Count:1,tag:{Boss:1,display:{Name:"{\"text\":\"Iron Ladder\"}"}}}}
execute unless entity @e[type=witch,name=Hadox] unless entity @e[type=vindicator,name=Uluru] if entity @a[tag=Bonus1] run tag @a remove Bonus1

execute if block -9 107 -36 minecraft:stone_pressure_plate[powered=true] at @e[type=armor_stand,tag=Bonus1b] run setblock ~ ~1 ~ air
execute if block -9 107 -36 minecraft:stone_pressure_plate[powered=true] at @e[type=armor_stand,tag=Bonus1b] run tp @p[x=-9,y=107,z=-36,distance=..2] ~ ~0.5 ~
execute if block -9 107 -36 minecraft:stone_pressure_plate[powered=true] as @e[type=armor_stand,tag=Bonus1b] run tag @s remove Bonus1a

kill @e[type=area_effect_cloud]