execute at @a[tag=Tutorial1] as @e[type=item,distance=..3] run data merge entity @s {PickupDelay:0s}

tellraw @a[x=-59,y=35,z=37,distance=..3,tag=!T1_1] ["",{"text":"","color":"green"},{"text":"Hello, adventurer!","bold":"true","color":"dark_green"},{"text":" Welcome to Ruby Caverns, a Minecraft dungeon crawler! Let me explain the game to you.","color":"green"}]
execute if entity @a[x=-59,y=35,z=37,distance=..3,tag=!T1_1] run data merge block -8 3 54 {Text1:"[{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":false}},{\"text\":\"-\"},{\"text\":\"In Progress\",\"italic\":true},{\"text\":\"-\"}]",Text2:"{\"text\":\"Come Back Later!\",\"clickEvent\":{\"action\":\"run_command\",\"value\":false}}",Text3:"{\"text\":\"\",\"clickEvent\":{\"action\":\"run_command\",\"value\":false}}"}
execute if entity @a[x=-59,y=35,z=37,distance=..3,tag=!T1_1] run setblock -9 3 54 minecraft:redstone_block
tag @a[x=-59,y=35,z=37,distance=..3] add T1_1

tellraw @a[x=-62,y=29,z=37,distance=..2,tag=!T1_2] ["",{"text":"The dungeons consist out of a random maze, with monsters and traps... let's get you some gear. ","color":"green"},{"text":"","bold":"true","color":"dark_green"},{"text":"","color":"green"}]
tag @a[x=-62,y=29,z=37,distance=..2] add T1_2

tellraw @a[x=-54,y=29,z=37,distance=..3,tag=!T1_3] ["",{"text":"These basic items will do! Ready for a fight?","color":"green"},{"text":"","bold":"true","color":"dark_green"},{"text":"","color":"green"}]
tag @a[x=-54,y=29,z=37,distance=..3] add T1_3

tellraw @a[x=-54,y=29,z=45,distance=..3,tag=!T1_4] ["",{"text":"Oh wait, no, you really need a better sword.","color":"green"},{"text":" Open a chest on a brick pedestal ","bold":"true","color":"dark_green"},{"text":"to get a weapon upgrade!","color":"green"}]
tag @a[x=-54,y=29,z=45,distance=..3] add T1_4

tellraw @a[tag=T1_4a,tag=!T1_4b] ["",{"text":"","color":"green"},{"text":"Much better! ","bold":"true","color":"dark_green"},{"text":"Let's get into battle!","color":"green"}]
execute if entity @a[tag=T1_4a,tag=!T1_4b] run fill -58 29 46 -58 31 44 air destroy
execute if entity @a[tag=T1_4a,tag=!T1_4b] run kill @e[type=item,x=-58,y=30,z=45,distance=..5]
tag @a[tag=T1_4a] add T1_4b

tellraw @a[x=-62,y=29,z=45,distance=..3,tag=!T1_5] ["",{"text":"Hey, look!","color":"green"},{"text":" The first monster spawner. ","bold":"true","color":"dark_green"},{"text":"Better watch out, and fight the zombies off.","color":"green"}]
tag @a[x=-62,y=29,z=45,distance=..3] add T1_5

tellraw @a[x=-70,y=29,z=45,distance=..3,tag=!T1_6] ["",{"text":"You know what you also should have gotten?","color":"green"},{"text":" A pickaxe!\n","bold":"true","color":"dark_green"},{"text":"Break those spawners to stop the monsters from coming!","color":"green"}]
tag @a[x=-70,y=29,z=45,distance=..3] add T1_6

execute if block -62 28 45 air run tag @a[x=-62,y=29,z=45,distance=..3] add T1_6a
tellraw @a[tag=T1_6a,tag=!T1_6b] ["",{"text":"","color":"green"},{"text":"There we go! ","bold":"true","color":"dark_green"},{"text":"Keep doing that everywhere, and you'll be fine.","color":"green"}]
execute if entity @a[tag=T1_6a,tag=!T1_6b] run fill -71 29 41 -69 31 41 air destroy
execute if entity @a[tag=T1_6a,tag=!T1_6b] run kill @e[type=item,x=-70,y=30,z=41,distance=..5]
tag @a[tag=T1_6a] add T1_6b

tellraw @a[x=-70,y=29,z=29,distance=..3,tag=!T1_7] ["",{"text":"What you see here is a","color":"green"},{"text":" Gold Chest. ","bold":"true","color":"dark_green"},{"text":"Just open it and grab the free resources.","color":"green"}]
tag @a[x=-70,y=29,z=29,distance=..3] add T1_7

tellraw @a[x=-62,y=29,z=29,distance=..3,tag=!T1_8] ["",{"text":"And this is a","color":"green"},{"text":" Food Container! ","bold":"true","color":"dark_green"},{"text":"It has food in it, which is critical to survive!","color":"green"}]
tag @a[x=-62,y=29,z=29,distance=..3] add T1_8

tellraw @a[x=-54,y=29,z=29,distance=..3,tag=!T1_9] ["",{"text":"Ah, the ladder down. Just take it to go to the","color":"green"},{"text":" next dungeon level. ","bold":"true","color":"dark_green"},{"text":"","color":"green"}]
tag @a[x=-54,y=29,z=29,distance=..3] add T1_9

tellraw @a[x=-54,y=25,z=29,distance=..2,tag=!T1_10] ["",{"text":"If you need to go back, just go! The ladders are","color":"green"},{"text":" always connected. ","bold":"true","color":"dark_green"},{"text":"Stay aware of your food level, though.","color":"green"}]
tag @a[x=-54,y=25,z=29,distance=..2] add T1_10

tellraw @a[x=-54,y=25,z=37,distance=..3,tag=!T1_11] ["",{"text":"Now, it's time for some more combat.","color":"green"},{"text":" Open a chest on a wooden pedestal ","bold":"true","color":"dark_green"},{"text":"to get a projectile upgrade!","color":"green"}]
tag @a[x=-54,y=25,z=37,distance=..3] add T1_11

tellraw @a[tag=T1_11a,tag=!T1_11b] ["",{"text":"","color":"green"},{"text":"Great job! ","bold":"true","color":"dark_green"},{"text":"Now, let's do some monster hunting!","color":"green"}]
execute if entity @a[tag=T1_11a,tag=!T1_11b] run fill -55 25 41 -53 27 41 air destroy
execute if entity @a[tag=T1_11a,tag=!T1_11b] run kill @e[type=item,x=-54,y=26,z=41,distance=..5]
tag @a[tag=T1_11a] add T1_11b

tellraw @a[x=-62,y=25,z=37,distance=..3,tag=!T1_12] ["",{"text":"A chest with purpur blocks around it, is a","color":"green"},{"text":" Magic Chest. ","bold":"true","color":"dark_green"},{"text":"Open it to get a random wand or spell!","color":"green"}]
tag @a[x=-62,y=25,z=37,distance=..3] add T1_12

tellraw @a[x=-62,y=25,z=45,distance=..3,tag=!T1_13,tag=T1_12] ["",{"text":"How do you use magic?","color":"green"},{"text":" Right-click them. ","bold":"true","color":"dark_green"},{"text":"You need 3 experience levels for most Wands or Spells","color":"green"}]
tag @a[x=-62,y=25,z=45,distance=..3,tag=T1_12] add T1_13

tellraw @a[x=-70,y=25,z=45,distance=..3,tag=!T1_14] ["",{"text":"If you're wounded, you can make potions in","color":"green"},{"text":" Blue Boxes! ","bold":"true","color":"dark_green"},{"text":"Just put an empty bottle in the middle slot, and a few Tears in the upper slot.","color":"green"}]
tag @a[x=-70,y=25,z=45,distance=..3] add T1_14

tellraw @a[x=-70,y=25,z=37,distance=..3,tag=!T1_15] ["",{"text":"Only 3, 5, 8, 12 or 15 tears will work.","color":"green"},{"text":" Try to remember it;\n ","bold":"true","color":"dark_green"},{"text":"otherwise, you can enable Assist Mode for reminders.","color":"green"}]
tag @a[x=-70,y=25,z=37,distance=..3] add T1_15

tellraw @a[x=-70,y=25,z=29,distance=..3,tag=!T1_16] ["",{"text":"Here's the ladder down.","color":"green"},{"text":" Don't go just yet! ","bold":"true","color":"dark_green"},{"text":"Always try to check the whole floor for valuables.","color":"green"}]
tag @a[x=-70,y=25,z=29,distance=..3] add T1_16

tellraw @a[x=-70,y=21,z=29,distance=..2,tag=!T1_17] ["",{"text":"Hm, there seem to be","color":"green"},{"text":" a lot of ways... ","bold":"true","color":"dark_green"},{"text":"Why don't you just go the direction you feel like?","color":"green"}]
tag @a[x=-70,y=21,z=29,distance=..2] add T1_17

tellraw @a[x=-62,y=21,z=29,distance=..3,tag=!T1_18] ["",{"text":"You found a","color":"green"},{"text":" White Box! ","bold":"true","color":"dark_green"},{"text":"Use it by putting the Pickaxe in the middle, and 4, 5, 7 or 8 leather, iron or diamond in the upper slot. Like you're crafting armor!","color":"green"}]
tag @a[x=-62,y=21,z=29,distance=..3] add T1_18

tellraw @a[x=-70,y=21,z=45,distance=..3,tag=!T1_19] ["",{"text":"Chests with bookshelves are","color":"green"},{"text":" Scroll Chests. ","bold":"true","color":"dark_green"},{"text":"Open this to get a nice, random Scroll.","color":"green"}]
tag @a[x=-70,y=21,z=45,distance=..3] add T1_19

tellraw @a[x=-70,y=21,z=37,distance=..3,tag=!T1_20,tag=T1_19] ["",{"text":"But, how do you use scrolls?","color":"green"},{"text":" Put them in your offhand.\n","bold":"true","color":"dark_green"},{"text":"Warning: they are powerful, but disappear after one use!","color":"green"}]
tag @a[x=-70,y=21,z=37,distance=..3,tag=T1_19] add T1_20

tellraw @a[x=-54,y=21,z=29,distance=..4,tag=!T1_21] ["",{"text":"Another weapon upgrade! Did you know that","color":"green"},{"text":" all upgrades are always the same? ","bold":"true","color":"dark_green"},{"text":"Weapons aren't random, for example, you always get an iron axe after an iron sword.","color":"green"}]
tag @a[x=-54,y=21,z=29,distance=..4] add T1_21

tellraw @a[x=-54,y=21,z=45,distance=..3,tag=!T1_22] ["",{"text":"This is a","color":"green"},{"text":" yellow box. ","bold":"true","color":"dark_green"},{"text":"It's for treasure! Put 5, 10 or 20 gold in the upper slot to get a random item.","color":"green"}]
tag @a[x=-54,y=21,z=45,distance=..3] add T1_22

tellraw @a[x=-62,y=21,z=45,distance=..3,tag=!T1_23] ["",{"text":"Uh oh... the","color":"green"},{"text":" Boss ","bold":"true","color":"dark_green"},{"text":"is in sight! Jump down to fight him and end the area... but you cannot get out until either of you lost!","color":"green"}]
tag @a[x=-62,y=21,z=45,distance=..3] add T1_23

title @a[x=-62,y=16,z=45,distance=..2,tag=!T1_24] title {"text":"TUTORIAL BOSS","color":"red"}
title @a[x=-62,y=16,z=45,distance=..2,tag=!T1_24] subtitle {"text":"Amp, Lost Adventurer","color":"dark_red"}
execute if entity @a[x=-62,y=16,z=45,distance=..2,tag=!T1_24] run summon zombie_villager -62 16 41 {CustomName:"\"Amp\"",Team:Boss,HandItems:[{id:"minecraft:wooden_sword",Count:1},{id:"minecraft:flint_and_steel",Count:1}],Attributes:[{Name:"generic.followRange",Base:30},{Name:"generic.knockbackResistance",Base:0.5f}]}
execute if entity @a[x=-62,y=16,z=45,distance=..2,tag=!T1_24] run effect give @e[type=zombie_villager,name=Amp] absorption 99999 10 true
execute if entity @a[x=-62,y=16,z=45,distance=..2,tag=!T1_24] run effect give @e[type=zombie_villager,name=Amp] fire_resistance 99999 10 true
tag @a[x=-62,y=16,z=45,distance=..2] add T1_24
scoreboard players add @e[name=Amp] Time 1
execute at @e[type=zombie_villager,name=Amp,scores={Time=80..}] run summon armor_stand ~ ~ ~ {Marker:1,CustomName:"\"Amp\"",Invisible:1,NoGravity:1}
execute at @e[type=zombie_villager,name=Amp,scores={Time=80..}] run particle flame ~ ~ ~ 0 0 0 0.1 100 force
execute as @e[type=zombie_villager,name=Amp,scores={Time=80..}] run scoreboard players set @s Time 0
execute at @e[type=armor_stand,name=Amp,scores={Time=1}] run setblock ~ ~ ~ fire
execute at @e[type=armor_stand,name=Amp,scores={Time=200..}] run setblock ~ ~ ~ air
execute as @e[type=armor_stand,name=Amp,scores={Time=200..}] run kill @s

tellraw @a[x=-62,y=11,z=41,distance=..2,tag=!T1_26] ["",{"text":"You're all set now! Just pick a","color":"green"},{"text":" class ","bold":"true","color":"dark_green"},{"text":"and press the Start button to get going!\nGood Luck!","color":"green"}]
tag @a[x=-62,y=11,z=41,distance=..2] add T1_26

execute if entity @a[tag=T1_24,tag=!T1_25] unless entity @e[name=Amp,type=zombie_villager] run title @a[tag=T1_24] title {"text":"BOSS SLAIN","color":"green"}
execute if entity @a[tag=T1_24,tag=!T1_25] unless entity @e[name=Amp,type=zombie_villager] at @a[tag=T1_24] run playsound minecraft:ui.toast.challenge_complete ambient @a
execute if entity @a[tag=T1_24,tag=!T1_25] unless entity @e[name=Amp,type=zombie_villager] run setblock -62 15 41 air
execute if entity @a[tag=T1_24,tag=!T1_25] unless entity @e[name=Amp,type=zombie_villager] run playsound minecraft:entity.dragon_fireball.explode block @a -62 15 41
execute if entity @a[tag=T1_24,tag=!T1_25] unless entity @e[name=Amp,type=zombie_villager] run particle minecraft:explosion -62 16 41 1 1 1 0.1 100 force
execute if entity @a[tag=T1_24,tag=!T1_25] unless entity @e[name=Amp,type=zombie_villager] run fill -62 16 45 -62 18 45 minecraft:ladder[facing=north]
execute if entity @a[tag=T1_24,tag=!T1_25] unless entity @e[name=Amp,type=zombie_villager] run tag @a[tag=T1_24] add T1_25

execute at @e[type=armor_stand,name=Tutor1] as @a[scores={Open=1..},distance=..5] run tellraw @s ["",{"text":"You got the "},{"text":"Iron Dagger!","color":"gray"}]
execute at @e[type=armor_stand,name=Tutor1] as @a[scores={Open=1..},distance=..5] run clear @s stone_sword
execute at @e[type=armor_stand,name=Tutor1] as @a[scores={Open=1..},distance=..5] run give @s iron_sword{Unbreakable:1,HideFlags:63,display:{Name:"{\"text\":\"Iron Dagger\",\"italic\":\"false\",\"color\":\"gray\"}"}}
execute at @e[type=armor_stand,name=Tutor1] as @a[scores={Open=1..},distance=..5] run tag @s add T1_4a
execute at @e[type=armor_stand,name=Tutor3] as @a[scores={Open=1..},distance=..5] run tellraw @s ["",{"text":"You got the "},{"text":"Metal Axe!","color":"gray"}]
execute at @e[type=armor_stand,name=Tutor3] as @a[scores={Open=1..},distance=..5] run clear @s iron_sword
execute at @e[type=armor_stand,name=Tutor3] as @a[scores={Open=1..},distance=..5] run give @s iron_axe{Unbreakable:1,HideFlags:63,display:{Name:"{\"text\":\"Metal Axe\",\"italic\":\"false\",\"color\":\"gray\"}"}}
execute at @e[type=armor_stand,name=Tutor2] as @a[scores={Open=1..},distance=..5] run tellraw @s ["",{"text":"You got the "},{"text":"Tossing Bricks!","color":"gold"}]
execute at @e[type=armor_stand,name=Tutor2] as @a[scores={Open=1..},distance=..5] run give @s snowball{HideFlags:63,display:{Name:"{\"text\":\"Tossing Brick\",\"italic\":\"false\",\"color\":\"gold\"}"}} 16
execute at @e[type=armor_stand,name=Tutor2] as @a[scores={Open=1..},distance=..5] run tag @s add T1_11a
execute at @e[type=armor_stand,name=Tutor4] as @a[scores={Open=1..},distance=..5] run tellraw @s ["",{"text":"You got the "},{"text":"Oaky Bow!","color":"gold"}]
execute at @e[type=armor_stand,name=Tutor4] as @a[scores={Open=1..},distance=..5] run clear @s snowball
execute at @e[type=armor_stand,name=Tutor4] as @a[scores={Open=1..},distance=..5] run give @s bow{HideFlags:63,display:{Name:"{\"text\":\"Oaky Bow\",\"italic\":\"false\",\"color\":\"gold\"}"}}
execute at @e[type=armor_stand,name=Tutor4] as @a[scores={Open=1..},distance=..5] run give @s arrow 16
execute at @e[type=armor_stand,name=Tutor5] if entity @a[scores={Open=1..},distance=..5] run setblock ~ ~ ~ air
execute at @e[type=armor_stand,name=Tutor5] if entity @a[scores={Open=1..},distance=..5] run summon item ~ ~ ~ {Item:{id:"minecraft:carrot_on_a_stick",Count:1,tag:{Enchantments:[{id:"wand",lvl:1}],Wand:1b,Unbreakable:1,HideFlags:63,CustomModelData:5,display:{Name:"{\"text\":\"Wand of Venom\",\"italic\":\"true\",\"color\":\"green\"}"}}}}
execute at @e[type=armor_stand,name=Tutor6] if entity @a[scores={Open=1..},distance=..5] run setblock ~ ~ ~ air
execute at @e[type=armor_stand,name=Tutor6] if entity @a[scores={Open=1..},distance=..5] run summon item ~ ~ ~ {Item:{id:"minecraft:music_disc_13",Count:1,tag:{CustomModelData:3,Enchantments:[{id:"1",lvl:1}],CanPlaceOn:["jukebox"],HideFlags:63,Scroll:1b,display:{Name:"{\"text\":\"Safety Scroll\",\"bold\":\"true\",\"italic\":\"false\",\"color\":\"white\"}"}}}}
execute at @a[scores={Open=1..},tag=Tutorial1] run fill ~4 ~ ~4 ~-4 ~4 ~-4 air replace chest
scoreboard players set @a[tag=Tutorial1] Open 0

execute at @e[type=armor_stand,name=Tutor7] if block ~ ~ ~ light_blue_shulker_box{Items:[{id:"minecraft:glass_bottle",Count:1b,Slot:13b},{id:"minecraft:ghast_tear",Count:3b,Slot:4b}]} run playsound minecraft:entity.dolphin.splash ambient @a ~ ~ ~
execute at @e[type=armor_stand,name=Tutor7] if block ~ ~ ~ light_blue_shulker_box{Items:[{id:"minecraft:glass_bottle",Count:1b,Slot:13b},{id:"minecraft:ghast_tear",Count:3b,Slot:4b}]} run data merge block ~ ~ ~ {Items:[{id:"diamond_hoe",Count:1,Slot:0,tag:{Damage:3,Unbreakable:1}},{id:"minecraft:potion",Count:1b,Slot:22,tag:{CustomPotionEffects:[{Id:6,Amplifier:1,ShowParticles:0b}],CustomPotionColor:16122624,display:{Name:"{\"text\":\"Energy Bottle\",\"color\":\"red\"}"}}}]}
execute at @e[type=armor_stand,name=Tutor8] if block ~ ~ ~ white_shulker_box{Items:[{id:"minecraft:iron_pickaxe",Count:1b,Slot:13b},{id:"minecraft:iron_ingot",Count:4b,Slot:4b}]} run playsound minecraft:block.anvil.use ambient @a ~ ~ ~
execute at @e[type=armor_stand,name=Tutor8] if block ~ ~ ~ white_shulker_box{Items:[{id:"minecraft:iron_pickaxe",Count:1b,Slot:13b},{id:"minecraft:iron_ingot",Count:4b,Slot:4b}]} run data merge block ~ ~ ~ {Items:[{id:"diamond_hoe",Count:1,Slot:0,tag:{Damage:2,Unbreakable:1}},{id:"minecraft:iron_pickaxe",Count:1b,Slot:13b,tag:{Unbreakable:1,HideFlags:4,CanDestroy:["spawner"]}},{id:"minecraft:iron_boots",Count:1b,Slot:22}]}
execute at @e[type=armor_stand,name=Tutor9] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:gold_ingot",Count:5b,Slot:4b}]} run playsound minecraft:item.totem.use ambient @a ~ ~ ~
execute at @e[type=armor_stand,name=Tutor9] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:gold_ingot",Count:5b,Slot:4b}]} run particle totem_of_undying ~ ~ ~ 1 1 1 0.1 100 force
execute at @e[type=armor_stand,name=Tutor9] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:gold_ingot",Count:5b,Slot:4b}]} run summon minecraft:item ~ ~ ~ {Item:{id:"minecraft:sunflower",Count:1,tag:{Enchantments:[{id:"1",lvl:1}],Item:1b,display:{Name:"{\"text\":\"Nightflower\",\"color\":\"yellow\"}"}}}}
execute at @e[type=armor_stand,name=Tutor9] if block ~ ~ ~ yellow_shulker_box{Items:[{id:"minecraft:gold_ingot",Count:5b,Slot:4b}]} run setblock ~ ~ ~ air